package com.huimv.devicedata.service;

import com.alibaba.fastjson.JSONObject;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public interface IDeviceDataService {

    void saveDeviceChangedUpData(JSONObject deviceUpDataJson);


    /**
     * 设备命令响应
     *
     * @param deviceResponseData
     */
    void saveDeviceResponseData(JSONObject deviceResponseData);

    /**
     * @Method      : saveWarningInfo
     * @Description : 
     * @Params      : [deviceUpDataJson]
     * @Return      : void
     * 
     * @Author      : ZhuoNing
     * @Date        : 2021/5/29       
     * @Time        : 14:46
     */
    void saveWarningInfo(JSONObject deviceUpDataJson);
}
